> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Exams

> Returns a paginated list of exams belonging to the specified course.<br/><br/>Supports filtering with `includeStatusSummary` to include enrollment status counts per exam.<br/><br/>Supports sorting by `title`, `examOpenDate`, or `scheduleOpenDate`.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/courses/{courseSid}/exams
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/courses/{courseSid}/exams:
    get:
      tags:
        - Exam
      summary: List Exams
      description: >-
        Returns a paginated list of exams belonging to the specified
        course.<br/><br/>Supports filtering with `includeStatusSummary` to
        include enrollment status counts per exam.<br/><br/>Supports sorting by
        `title`, `examOpenDate`, or `scheduleOpenDate`.
      operationId: getV1InstallsInstallsidCoursesCoursesidExams
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: >-
              Unique SID of the application install. Pattern: `AI` + 32 hex
              chars.
            example: AI1234567890abcdef1234567890abcdef
            pattern: ^AI[a-f0-9]{32}$
          description: 'Unique SID of the application install. Pattern: `AI` + 32 hex chars.'
          required: true
        - name: courseSid
          in: path
          schema:
            type: string
            description: 'Unique SID of the course. Pattern: `CU` + 32 hex chars.'
            example: CU1234567890abcdef1234567890abcdef
            pattern: ^CU[a-f0-9]{32}$
          description: 'Unique SID of the course. Pattern: `CU` + 32 hex chars.'
          required: true
        - name: offset
          in: query
          schema:
            type: integer
            description: Zero-based offset for pagination.
            example: 0
            minimum: 0
          description: Zero-based offset for pagination.
        - name: limit
          in: query
          schema:
            type: integer
            description: Maximum number of exam records to return.
            example: 50
            minimum: 0
          description: Maximum number of exam records to return.
        - name: includeStatusSummary
          in: query
          schema:
            type: boolean
            description: >-
              When true, includes a summary of enrollment statuses (e.g.,
              scheduled, completed, not started) for each exam.
            example: true
            default: false
          description: >-
            When true, includes a summary of enrollment statuses (e.g.,
            scheduled, completed, not started) for each exam.
        - name: sortKeys
          in: query
          schema:
            type: array
            description: >-
              Array of field names to sort by. Valid values: `title`,
              `examOpenDate`, `scheduleOpenDate`.
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - title
                - examOpenDate
                - scheduleOpenDate
          description: >-
            Array of field names to sort by. Valid values: `title`,
            `examOpenDate`, `scheduleOpenDate`.
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort direction. `ASC` for ascending or `DESC` for descending.
            enum:
              - ASC
              - DESC
          description: Sort direction. `ASC` for ascending or `DESC` for descending.
        - name: dob
          in: query
          schema:
            type: string
            format: date
            description: Date of birth filter (internal use).
          description: Date of birth filter (internal use).
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````